This project has moved. For the latest updates, please go here.

Work around for code generating code.

Nov 14, 2012 at 5:34 AM
Edited Nov 14, 2012 at 5:40 AM

 

I am running linq2indexeddb on a chrome extension. Because of secutiry restrictions, chrome doesn't

allow to create executable code from a string. I get this following message:  (http://puu.sh/1q2b0) 

 

 

Is there a work around for this code generation code, can it be patched without the need for code generation. If this is a simple patch, kindly let me know how. 

thanks, 

 

 

 

 

 

 

Coordinator
Nov 15, 2012 at 5:20 AM

What version of chrome are you using.

It is the first time I see this error so I don't know what is going wrong.

Nov 15, 2012 at 6:49 PM

Chrome Version: 23.0.1271.64

Seems to be the latest as Chrome auto-updates. I think this is because it is used inside an Extension rather than as JS in a HTML web page. Something about Chrome security policy.